Subject: Venus Flytraps... caring for them (question)

From: [email-masked]
Date: Sat, 29 Jul 1995 18:07:09

Thanks in advance for any help...

I just bought a little venus flytrap plant (I have a few flies buzzing around 
lately...) and I wanted to double check how to care for it.  I understand that 
it has to get a fly at least once a week, and if it doesn't I have to feed it 
a little bit of meat...  I fed it a fly last night and the "mouth" closed up.  
I later noticed that all of the "mouths" were closed.  Is that normal?  Does 
it wait until it digests the fly to open back up?

One more general question...  Is there anything special I should know about 
keeping this thing alive?  (i.e. fertilizer, certain kind of dirt/spaghnum 
(sp?) moss, etc...?)

Thanks a lot.

Jason